LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
LayerParser Service Referencepublished

represents a configuration data layer that is stored in a stream in OOR Update XML format. More...

`import"LayerParser.idl";`

Inheritance diagram for LayerParser:

## Exported Interfaces
interface | com::sun::star::configuration::backend::XLayer
| provides access to the parsed layer data. More...
interface | com::sun::star::io::XActiveDataSink
| provides access to the source XML stream. More...
interface | com::sun::star::lang::XInitialization
| allows initializing the source stream. More...

## Additional Inherited Members
Public Member Functions inherited from XLayer
void | readData ([in] XLayerHandler aHandler) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| describes the contents of the layer to an XLayerHandler. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XActiveDataSink
void | setInputStream ([in] com::sun::star::io::XInputStream aStream)
| plugs the input stream. More...
com::sun::star::io::XInputStream | getInputStream ()
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...

## Detailed Description

represents a configuration data layer that is stored in a stream in OOR Update XML format.

The configuration layer XML from a given stream is parsed and fed to a com::sun::star::configuration::backend::XLayerHandler.

See also
  com::sun::star::configuration::backend::xml::SchemaParser Service that represents a configuration schema stored in XML.
  com::sun::star::configuration::backend::xml::LayerWriter Service that writes OOR Update XML for data described via com::sun::star::configuration::backend::XLayerHandler.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ com::sun::star::configuration::backend::XLayer

interface com::sun::star::configuration::backend::XLayer

provides access to the parsed layer data.

## ◆ com::sun::star::io::XActiveDataSink

interface com::sun::star::io::XActiveDataSink

provides access to the source XML stream.

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

allows initializing the source stream.

The source can be passed as a com::sun::star::io::XInputStream or as a com::sun::star::xml::sax::InputSource.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/xml/LayerParser.idl